Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003762 [JEDI VCL] 00 JVCL Components major always 2006-06-12 01:52 2006-06-19 01:26
Reporter vrtareg View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003762: JvInterpreter-D.xml file includes qrpt package name twice
Description Hi

There are two lines with qrpt package configuration.
In any case qrpt includes in Interpreter package even if defined {$DEFINE JVCL_UseQuickReport} and {$DEFINE QREPORT4}.

Line 28: <Package Name="qrpt" Targets="DBv6up" Condition="!QREPORT4 & JVCL_UseQuickReport"/>
Line 38: <Package Name="qrpt" Targets="DBv6up" Condition="JVCL_UseQuickReport"/>

There is another problem after successful compile of JvInterpreter packages.
Delphi can't load them because it tries to load QRPrntr unit which is also present in JvGlobusD10R.
See attached image for more information.

Thanks
Areg
Additional Information
Tags No tags attached.
Attached Files jpg file icon Delphi JVCL Error.jpg [^] (23,758 bytes) 2006-06-12 01:52

- Relationships

-  Notes
(0009577)
obones (administrator)
2006-06-12 06:48

I fixed the JvIntepreter xml.

Where is the QRPrntr unit located? What is the name of the QR package?
(0009578)
vrtareg (reporter)
2006-06-12 06:54

I can't find this unit name in JVCL or JCL codes.

I dont understand what happend.
My Delphi can't load Globus and Interpreter packages together.

Do someone test this ?
(0009580)
obones (administrator)
2006-06-13 01:16

Yes, we do test this, but very few of us use QuickReport.
Have you tried the latest daily?

http://jvcl.sf.net/daily/ [^]

And regarding QRPrntr, I was asking in which QuickReport package it is located.
(0009581)
vrtareg (reporter)
2006-06-13 01:54

I use the latest SVN sources.

QRPrntr is used in JvInterpreterD10R.dpk package in JvInterpreter_Quickrpt.pas file and in JvGlobusD10R.dpk in JvgQPrintPreviewForm.pas file.

QRPrntr is a "QRPRNTR.PAS - LOW LEVEL PRINT AND PREVIEW CLASSES" from QuickReport4 4.0.6 for BDS 2006.
(0009585)
vrtareg (reporter)
2006-06-14 01:20

Also i get the following warnings. May be they can help:

[Compiling: JvGlobusD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation

JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRSearchDlg' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRPrgres' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRLablEd' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'grimgctrl' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'LZW' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRAbout' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRCompEd' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QR4Const' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QREnvEd' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRExpBld' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRExprEd' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRCtrls' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QuickRpt' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRPrnSu' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRPrntr' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRPDFFilt' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'pdfconst' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRWebFilt' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRExport' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRPrev' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRExtra' implicitly imported into package 'JvGlobusD10R'
JvGlobusD10R.dpk(116) Warning: W1033 Unit 'QRExpr' implicitly imported into package 'JvGlobusD10R'
154529 lines, 6.69 seconds, 609556 bytes code, 13216 bytes data.



[Compiling: JvInterpreterD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation

JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRSearchDlg' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'grimgctrl' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'LZW' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRLablEd' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRPrgres' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRAbout' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRCompEd' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QR4Const' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QREnvEd' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRExpBld' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRExprEd' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRCtrls' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRPrntr' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRPDFFilt' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'pdfconst' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRWebFilt' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRExport' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRPrev' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRExtra' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QuickRpt' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRPrnSu' implicitly imported into package 'JvInterpreterD10R'
JvInterpreterD10R.dpk(88) Warning: W1033 Unit 'QRExpr' implicitly imported into package 'JvInterpreterD10R'
85222 lines, 3.14 seconds, 863084 bytes code, 14748 bytes data.
(0009592)
obones (administrator)
2006-06-16 10:44

But what I would like to know is the name of QuickReport package, not the name of the JVCL package.
I do not have QuickReport installed here, hence i don't know which package(s) the mentionned units are located in.
(0009595)
vrtareg (reporter)
2006-06-16 12:40

package QR4RunD2006
(0009597)
obones (administrator)
2006-06-19 01:26

Thanks, this is now fixed in SVN. the following line was added to the requires section of the XML files:

<Package Name="qr4rund2006" Targets="D10" Condition="QREPORT4 & JVCL_UseQuickReport"/>

Either grab the latest files from SVN or add it to the JvGlobus and JvInterpreter packages.

- Issue History
Date Modified Username Field Change
2006-06-12 01:52 vrtareg New Issue
2006-06-12 01:52 vrtareg File Added: Delphi JVCL Error.jpg
2006-06-12 01:53 vrtareg Issue Monitored: vrtareg
2006-06-12 06:48 obones Note Added: 0009577
2006-06-12 06:48 obones Status new => feedback
2006-06-12 06:54 vrtareg Note Added: 0009578
2006-06-13 01:16 obones Note Added: 0009580
2006-06-13 01:54 vrtareg Note Added: 0009581
2006-06-14 01:20 vrtareg Note Added: 0009585
2006-06-16 10:44 obones Note Added: 0009592
2006-06-16 12:40 vrtareg Note Added: 0009595
2006-06-19 01:26 obones Status feedback => resolved
2006-06-19 01:26 obones Resolution open => fixed
2006-06-19 01:26 obones Assigned To => obones
2006-06-19 01:26 obones Note Added: 0009597


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker